diff a/src/hotspot/share/runtime/handshake.hpp b/src/hotspot/share/runtime/handshake.hpp
--- a/src/hotspot/share/runtime/handshake.hpp
+++ b/src/hotspot/share/runtime/handshake.hpp
@@ -105,13 +105,13 @@
 
   bool claim_handshake();
   bool possibly_can_process_handshake();
   bool can_process_handshake();
 
-  bool have_non_self_executable_operation();
+  bool has_handshaker_operation();
   HandshakeOperation* get_op_for_self(bool allow_suspend, bool check_async_exception);
-  HandshakeOperation* get_op();
+  HandshakeOperation* get_op_for_handshaker();
   void remove_op(HandshakeOperation* op);
 
   void set_active_handshaker(Thread* thread) { Atomic::store(&_active_handshaker, thread); }
 
   class MatchOp {
